(function ($) {
	'use strict';
	
	var imageCarouselWithText = {};
	eltdf.modules.imageCarouselWithText = imageCarouselWithText;


	imageCarouselWithText.eltdfOnWindowLoad = eltdfOnWindowLoad;
	
	$(window).on('load', eltdfOnWindowLoad);
	
	/**
	 All functions to be called on $(document).ready() should be in this function
	 */
	function eltdfOnWindowLoad() {
		eltdfElementorImageCarouselWithText();
	}

    /**
     * Elementor
     */
	function eltdfElementorImageCarouselWithText() {
		$(window).on('elementor/frontend/init', function () {
			elementorFrontend.hooks.addAction('frontend/element_ready/eltdf_image_carousel_with_text.default', function () {
				eltdf.modules.common.eltdfOwlSlider();
			});
		});
	}
	
})(jQuery);